Archived:Error -2147024891 When Connect to OPC Server

Updated May 7, 2018

National Instruments does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

Reported In

Software

  • LabVIEW

Issue Details

I created an I/O Server in the project explorer of LabVIEW to connect to OPC server on my localhost and I received Error -2147024891 occurred at GetOPCServerList.vi. Why am I getting this error?

Solution

The OpcEnum service might not have been installed properly when you installed the LabVIEW Datalogging and Supervisory Control (DSC) Module on your system. To verify if it was installed properly, navigate to Start»Control Panel»Administrative Tools»Services and check to see if OpcEnum is present.

If the service is not listed, navigate to the Bin\OPC Update folder from the LabVIEW DSC Module installation CD and install OPC Core Components 2.00.  This will install the service and fix the error. Alternatively you can download the updated version from OPC Core Components.

WAS THIS ARTICLE HELPFUL?

Not Helpful